Update to 2-20040729 and update plist.

From: Bernd Ahlers <ba@bsws.de>
This commit is contained in:
naddy 2004-08-10 16:58:09 +00:00
parent b53d1508cf
commit cb07900daa
5 changed files with 39 additions and 136 deletions

View File

@ -1,9 +1,9 @@
# $OpenBSD: Makefile,v 1.14 2004/07/09 21:16:26 naddy Exp $
# $OpenBSD: Makefile,v 1.15 2004/08/10 16:58:09 naddy Exp $
COMMENT= "light, keyboard friendly window manager"
DISTNAME= ion-2-20040601
PKGNAME= ion-2.20040601
DISTNAME= ion-2-20040729
PKGNAME= ion-2.20040729
HOMEPAGE= http://modeemi.cs.tut.fi/~tuomov/ion/
CATEGORIES= x11
@ -27,6 +27,6 @@ LIB_DEPENDS= ltdl.4::devel/libtool \
.include <bsd.port.mk>
.if defined(NO_SHARED_LIBS) && ${NO_SHARED_LIBS:L} == "yes"
.if ${NO_SHARED_LIBS:L} == "yes"
MAKE_ENV= PRELOAD_MODULES=1
.endif

View File

@ -1,3 +1,3 @@
MD5 (ion-2-20040601.tar.gz) = 5b2489a48bba865818a3990d49381ce8
RMD160 (ion-2-20040601.tar.gz) = c906aed27c6c6bf259cca6c21da0ac448cb0b4e0
SHA1 (ion-2-20040601.tar.gz) = 9dce2113e367a518b919f2f324e17a9301b5d317
MD5 (ion-2-20040729.tar.gz) = d7d98baa41635c1989e423adf76eb2ac
RMD160 (ion-2-20040729.tar.gz) = a32053c744cc130d9feb07f64bf3fef6cb4fa0c7
SHA1 (ion-2-20040729.tar.gz) = 92329a392de13dfb79ecd236eeb121a7045327e5

View File

@ -1,52 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.3 2004/07/09 21:16:27 naddy Exp $
#
# De-installation setup of ion
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}/ion
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -rf ${CONFIG_DIR}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ ${PKG_DELETE_EXTRA} != Yes -a \
-e ${CONFIG_DIR} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,69 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.3 2004/07/09 21:16:27 naddy Exp $
#
# Pre/post-installation setup of ion
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}/ion
SAMPLE_CONFIG_DIR=$PREFIX/share/examples/ion
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration files in ${CONFIG_DIR}"
echo "| have NOT been changed. You may want to compare it to the"
echo "| current sample files in ${SAMPLE_CONFIG_DIR}"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
install -o root -g wheel -m 0755 -d ${CONFIG_DIR}
install -o root -g wheel ${SAMPLE_CONFIG_DIR}/* ${CONFIG_DIR}
echo
echo "+---------------"
echo "| The $1 configuration files have been installed in"
echo "| ${CONFIG_DIR}. Please view this files and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -d ${CONFIG_DIR} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,11 +1,13 @@
@comment $OpenBSD: PLIST,v 1.4 2004/07/09 21:16:27 naddy Exp $
@comment $OpenBSD: PLIST,v 1.5 2004/08/10 16:58:10 naddy Exp $
bin/ion
bin/pwm
lib/ion/
lib/ion/de.la
lib/ion/dock.la
lib/ion/floatws.la
lib/ion/ion-completefile
lib/ion/ionws.la
lib/ion/lc/
lib/ion/lc/ioncore-efbb.lc
lib/ion/lc/ioncorelib-mplexfns.lc
lib/ion/lc/ioncorelib.lc
@ -13,34 +15,61 @@ lib/ion/lc/menulib.lc
lib/ion/lc/querylib.lc
lib/ion/menu.la
lib/ion/query.la
man/man1/ion.1
man/man1/pwm.1
@man man/man1/ion.1
@man man/man1/pwm.1
share/doc/ion/
share/doc/ion/ChangeLog
share/doc/ion/LICENSE
share/doc/ion/README
share/examples/ion/
@sample ${SYSCONFDIR}/ion/
share/examples/ion/dock-draw.lua
@sample ${SYSCONFDIR}/ion/dock-draw.lua
share/examples/ion/dock.lua
@sample ${SYSCONFDIR}/ion/dock.lua
share/examples/ion/draw.lua
@sample ${SYSCONFDIR}/ion/draw.lua
share/examples/ion/floatws.lua
@sample ${SYSCONFDIR}/ion/floatws.lua
share/examples/ion/ion-bindings.lua
@sample ${SYSCONFDIR}/ion/ion-bindings.lua
share/examples/ion/ion-menus.lua
@sample ${SYSCONFDIR}/ion/ion-menus.lua
share/examples/ion/ion.lua
@sample ${SYSCONFDIR}/ion/ion.lua
share/examples/ion/ionws.lua
@sample ${SYSCONFDIR}/ion/ionws.lua
share/examples/ion/kludges.lua
@sample ${SYSCONFDIR}/ion/kludges.lua
share/examples/ion/look-brownsteel.lua
@sample ${SYSCONFDIR}/ion/look-brownsteel.lua
share/examples/ion/look-clean.lua
@sample ${SYSCONFDIR}/ion/look-clean.lua
share/examples/ion/look-cleanios.lua
@sample ${SYSCONFDIR}/ion/look-cleanios.lua
share/examples/ion/look-cleanviolet.lua
@sample ${SYSCONFDIR}/ion/look-cleanviolet.lua
share/examples/ion/look-dusky.lua
@sample ${SYSCONFDIR}/ion/look-dusky.lua
share/examples/ion/look-greyviolet.lua
@sample ${SYSCONFDIR}/ion/look-greyviolet.lua
share/examples/ion/look-ios.lua
@sample ${SYSCONFDIR}/ion/look-ios.lua
share/examples/ion/look-simpleblue.lua
@sample ${SYSCONFDIR}/ion/look-simpleblue.lua
share/examples/ion/look-wheat2.lua
@sample ${SYSCONFDIR}/ion/look-wheat2.lua
share/examples/ion/menu.lua
@sample ${SYSCONFDIR}/ion/menu.lua
share/examples/ion/pwm-bindings.lua
@sample ${SYSCONFDIR}/ion/pwm-bindings.lua
share/examples/ion/pwm-menus.lua
@sample ${SYSCONFDIR}/ion/pwm-menus.lua
share/examples/ion/pwm.lua
@sample ${SYSCONFDIR}/ion/pwm.lua
share/examples/ion/query.lua
@sample ${SYSCONFDIR}/ion/query.lua
share/ion/
share/ion/delib.lua
share/ion/ion-edit
share/ion/ion-man
@ -54,9 +83,4 @@ share/ion/menulib.lua
share/ion/querylib.lua
share/ion/welcome_message.txt
%%SHARED%%
@dirrm share/ion
@dirrm share/examples/ion
@dirrm share/doc/ion
@dirrm lib/ion/lc
@dirrm lib/ion
@extraunexec rm -rf ${SYSCONFDIR}/ion